%define upstream_name    Graph-Easy
%define upstream_version 0.72

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Parse Graphviz text into Graph::Easy
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Graph/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Scalar::Util) >= 1.130.0
BuildRequires: perl(Test::More) >= 0.620.0
BuildArch:  noarch

%description
'Graph::Easy' lets you generate graphs consisting of various shaped nodes
connected by edges (with optional labels).

It can read and write graphs in a varity of formats, as well as render them
via its own grid-based layouter.

Since the layouter works on a grid (manhattan layout), the output is most
usefull for flow charts, network diagrams, or hierarchy trees.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
rm t/pod.t

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{make}

%check
%{make} test

%install
%makeinstall_std

%files
%doc CHANGES INSTALL LICENSE META.yml MYMETA.yml README TODO examples
%{_bindir}/graph-easy
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.720.0-2.mga3
+ Revision: 367864
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 0.720.0-1.mga3
+ Revision: 315084
- update to 0.72

* Wed Jan 04 2012 jquelin <jquelin> 0.710.0-1.mga2
+ Revision: 190314
- update to 0.71

* Sat Jan 22 2011 jquelin <jquelin> 0.700.0-1.mga1
+ Revision: 32030
- mageia rebuild
- imported package perl-Graph-Easy

